<!DOCTYPE html>
<html lang="en">

<head>
  <%- include('../partials/head') %>
  <link rel="stylesheet" href="/css/userHistory.css"> <!-- style page-->
  <link rel="stylesheet" href="/css/style.css"> <!-- style navbar-->
  <title>Document</title>
</head>

<body>
  <%- include('../partials/navbar') %>
  <!-- After Sign in Page -->
  <div class="container-fluid text-center  g-0">
    <div class="col headerAfter">
      <h1 class="">Selamat Datang, <%= student.firstName %></h1>
    </div>
  </div>
  <div class="container-lg">
    <div class="row py-5">
      <div class="col-md-auto py-1">
        <a href="/profile/daftar-kelas-aktif" class="list-group-item list-group-item-action" id="btnKelas">Kelas</a>
        <a href="/profile/user-profile/<%= student.id %>" class="list-group-item list-group-item-action"
          id="btnAkun">Akun</a>
        <a href="#" class="list-group-item list-group-item-action" id="btnRiwayat">Riwayat Pemesanan</a>
        <form action="/auth/sign-out" method='POST'>
          <button class="list-group-item list-group-item-action" id="btnSignOut">Sign Out</button>
        </form>
      </div>
      <div class="col">
        <% if(histories.length > 0){ %>
        <% histories.forEach(history => { %>
        <div class="card mt-4 ms-3 border border-2 rounded-3 p-3" style="max-width: 800px;">
          <div class="row g-0">
            <div class="col-5">
              <h6 class="code"><%= history.purchaseId %></h6>
              <p class="reguler">
                <% const date = new Date(history.createdAt).toLocaleDateString(['ban', 'id'], { day:'numeric',year:'numeric', month: 'long' }) %>
                <%= date %>
              </p>
              <div class="card mb-3 border" style="max-width: 540px;">
                <div class="row g-0">
                  <div class="col-md-5">
                    <img src="<%= history.Course.previewUrl %>" alt="..." class="img-fluid">
                  </div>
                  <div class="col-md-7">
                    <div class="card-body py-2">
                      <h6 class="card-title"><%= history.Course.title %></h6>
                      <p class="card-text">Rp <%= history.Course.price %> </p>
                    </div>
                  </div>
                </div>
              </div>
            </div>
            <div class="col-7">
              <div class="row">
                <div class="col-8 px-5">
                  <h6 class="rowCategory">Pembayaran</h6>
                  <h5 class="rowDescription">Kartu Kredit/Debit</h5>

                  <h6 class="rowCategory mt-5">Status Pembayaran</h6>
                  <h5 class="rowDescription">Berhasil</h5>
                </div>
                <div class="col ms-4">
                  <h6 class="rowCategory">Total Harga</h6>
                  <h5 class="rowDescription">Rp <%= history.Course.price %></h5>
                </div>
              </div>
            </div>
          </div>
        </div>
        <% }) %>
        <% } else {%>
        <h3 class='text-center'>Anda belum pernah melakukan transaksi.</h3>
        <% } %>
      </div>
    </div>

  </div>
  <!-- Sidebar -->
  <%- include('../partials/footer') %>


</body>

</html>